Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.changebroker.internal
Class NoStrategy

    java.lang.Object
      org.eclipse.emf.ecp.changebroker.internal.NoStrategy

All Implemented Interfaces:
  Strategy

    public class NoStrategy

extends Object
implements Strategy

Author:
  jfaltermeier

Constructor Summary
`NoStrategy()`

Method Summary
`void` | `deregister(EMFObserver observer)` Deregisters and observer.
`Set<EMFObserver>` | `getAllObservers()` Returns all observers managed by this strategy.
`Set<EMFObserver>` | `getObservers(org.eclipse.emf.common.notify.Notification notification)` Returns the `observers` which should get notified.
`void` | `register(EMFObserver observer)` Registers an observer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoStrategy

    public NoStrategy()

Method Detail

### register

    public void register(EMFObserver observer)

  Registers an observer.

  Parameters:
    `observer` - the observer

### getObservers

    public Set<EMFObserver> getObservers(org.eclipse.emf.common.notify.Notification notification)

  Returns the `observers` which should get notified.

  Specified by:
    `getObservers` in interface `Strategy`
  Parameters:
    `notification` - the notification
  Returns:
    the observers
  See Also:
    `Strategy.getObservers(org.eclipse.emf.common.notify.Notification)`

### deregister

    public void deregister(EMFObserver observer)

  Deregisters and observer.

  Specified by:
    `deregister` in interface `Strategy`
  Parameters:
    `observer` - the observer
  See Also:
    `Strategy.deregister(EMFObserver)`

### getAllObservers

    public Set<EMFObserver> getAllObservers()

  Returns all observers managed by this strategy.

  Specified by:
    `getAllObservers` in interface `Strategy`
  Returns:
    all observers
  See Also:
    `Strategy.getAllObservers()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.